Bug 30773 - Inconsistent use of short names for server roles
Inconsistent use of short names for server roles
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Basic settings
UCS 3.1
Other Linux
: P5 minor (vote)
: UCS 3.2
Assigned To: Florian Best
Dirk Wiesenthal
: interim-1
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-13 14:48 CET by Dirk Wiesenthal
Modified: 2013-11-19 06:44 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Flags outvoted after Product Owner Review:
Ticket number:
Bug group (optional): Typo/text changes
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2013-03-13 14:48:00 CET
SystemRolePage:

master domain controller role (DC master for short) 

but

slave domain controller role (slave DC for short).
backup domain controller role (backup DC for short).

In German they are all called DC Master, DC Slave, DC Backup. Should be consistent.
Comment 1 Moritz Muehlenhoff univentionstaff 2013-05-31 10:44:12 CEST
We will not ship a UCS 3.1-2 release; the next UCS release will be UCS 3.2.

As such, this bug is moved to the new target milestone.
Comment 2 Florian Best univentionstaff 2013-07-04 16:52:29 CEST
They have been unified.
Comment 3 Dirk Wiesenthal univentionstaff 2013-07-31 15:27:32 CEST
In the combobox, the role is called "Domain controller master", but the headline says "Master domain controller". Should be consistent, too.

Plus: The text says for example: "(DC backup for short)" but then writes the full "backup domain controller" in the next sentence. If every occurrence would be replaced by their short names (also when DC slave description is referring to another role), it is less error prone.
Comment 4 Florian Best univentionstaff 2013-08-07 11:56:40 CEST
Yes, univention-system-setup (7.0.24-1).
Comment 5 Dirk Wiesenthal univentionstaff 2013-08-07 14:27:05 CEST
Changeset: Ok
Changelog: Adapted
Comment 6 Stefan Gohmann univentionstaff 2013-11-19 06:44:04 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".